if ENV.fetch("USE_S3", false)
  CarrierWave.configure do |config|
    config.fog_provider = 'fog/aws'                        # required
    config.fog_credentials = {
      provider:              'AWS',                        # required
      aws_access_key_id:     ENV['S3_ACCESS_KEY'],         # required unless using use_iam_profile
      aws_secret_access_key: ENV['S3_SECRET_KEY'],         # required unless using use_iam_profile
      region:                ENV['S3_REGION'],             # optional, defaults to 'us-east-1'
      endpoint:              ENV['S3_ENDPOINT'],           # optional, defaults to nil
      path_style: true
    }
    config.fog_directory  = ENV['S3_INITIAL_FILE_UPLOAD_BUCKET']   # required
  end
end
