namespace :rdms do
  namespace :s3_bucket do
    desc "Create S3 bucket for RDMS uploads"
    task create: :environment do
      if ENV.fetch('USE_S3', false)
        s3 = S3StorageService.new
        s3.init_client
        initial_upload_bucket_name = s3.sanitise_name(ENV['S3_INITIAL_FILE_UPLOAD_BUCKET'])
        upload_bucket_name = s3.sanitise_name(ENV['S3_FILE_UPLOAD_BUCKET'])
        derivatives_bucket_name = s3.sanitise_name(ENV['S3_FILE_DERIVATIVES_BUCKET'])
        branding_bucket_name = s3.sanitise_name(ENV['S3_FILE_BRANDING_BUCKET'])

        s3.create_bucket(initial_upload_bucket_name) unless s3.bucket_exists?(initial_upload_bucket_name)
        s3.create_bucket(upload_bucket_name) unless s3.bucket_exists?(upload_bucket_name)
        s3.create_bucket(derivatives_bucket_name) unless s3.bucket_exists?(derivatives_bucket_name)
        s3.create_bucket(branding_bucket_name) unless s3.bucket_exists?(branding_bucket_name)
      end
    end
  end
end
